/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * VERSION : V2.12
 * DM-ID : redmine#11884 : 27/03/2025 : KHK : installing latest versions JHelioViewer
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.externalLinks;

public class MedocModel {

	public static enum Observer {
		SDO("SDO"), 
		STEREO_A("STEREO-A"), 
		STEREO_B("STEREO-B"), 
		SOHO("SOHO"); 

		private String name;

		Observer(String name) {
			this.name = name;
		}

		public String getName() {
			return name;
		}
	}
	
	public enum WaveLength {
		A94("94A", "94"),
		A131("131A", "131"),
		A171("171A", "171"),
		A193("193A", "193"),
		A195("195A", "195"),
		A211("211A", "211"),
		A284("284A", "284"),
		A304("304A", "304"),
		A305("305A", "305"),
		A335("335A", "335"),
		A1600("1600A", "1600"),
		A1700("1700A", "1700"),
		A4500("4500A", "4500"),
                // 11884
                //WL("WL", "white-light");
                WL("WL", "White Light");
                
		
		private String name;
		private String shortName;

		WaveLength(String name, String shortName) {
			this.setName(name);
			this.setShortName(shortName);
		}

		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getShortName() {
			return shortName;
		}
		public void setShortName(String shortName) {
			this.shortName = shortName;
		}
	}
}
